> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# Pushing Remote Field Classes

> How to write values to integration-specific custom fields using Remote Field Classes in POST and PATCH requests.

> **Info**
>
> This feature is only available to customers on our **Professional** and **Enterprise** plans. View the [Merge Plans](https://www.merge.dev/pricing) to learn more.

---

## Endpoints

Use the relevant Merge POST endpoint for a particular Common Model, with your desired Remote Field Class values included in your request body.

For pushing values for standard fields, use the standard Merge Common Model fields, or if needed, [Linked Account or Integration parameters](/merge-unified/writing-data/programmatic-writes-with-meta/templates-and-conditional-fields).

---

## Sending a POST request

There are two key pieces for writing to custom fields using Merge:

* The **Merge ID** of the **Remote Field Class**, which you can retrieve from the **/remote-field-classes** endpoint for that model
* The **value** that you want to push to the third-party for that field

When sending a POST request to the **/contacts** endpoint, for example, these two data points should be included in the request body under the `remote_fields` array.

**`Example request body - POST /contacts`**

```json Example request body - POST /contacts
{
  model: {
    account: null,
    addresses: [],
    last_name: "Feig",
    first_name: "Gil",
    phone_numbers: [
      {
        phone_number: "+1234567890",
        phone_number_type: "Mobile",
      },
    ],
    email_addresses: [
      {
        email_address: "custom_fields_test_3@merge.dev",
        email_address_type: "Work",
      },
    ],
    last_activity_at: null,
    integration_params: null,
    linked_account_params: null,
    remote_fields: [
      {
        remote_field_class: "462f9400-a1d7-4868-b45a-f18cc9dc4b3d",
        value: "Test String",
      },
      {
        remote_field_class: "f240d198-1fed-4ef5-9634-198baee92c6c",
        value: "Option 1",
      },
    ],
  },
}
```

Once your POST request is successful, you can access your Remote Field Class metadata and values for the contact you just created by following our guide for [pulling Remote Field Class Data](/merge-unified/supplemental-data/remote-field-classes/pulling-data).

You will also be able to see the custom field values you just wrote to the third-party on the relevant UI, as shown in this example from Hubspot.

![Hubspot Contact Example](/_fern-files/merge-test.docs.buildwithfern.com/b223244ca6afc1e986c4664899aa1496006804bea4df1a344e7f8088a3dcec29/docs/src/assets/images/docs/guides/remote-fields/hubspot-contact-example.svg)